<%= f.input :style %>

<% if f.object.class.respond_to?(:montage) %>
  <%# render 'montage/form',
             :f      => f,
             :title  => "Image",
             :method => :gallery %>
<% elsif f.object.respond_to?(:panorama) %>
  <%= f.input :panorama, as: :scrapbook %>
<% end %>